Index: /pjproject/trunk/pjproject.dsw
===================================================================
--- /pjproject/trunk/pjproject.dsw	(revision 2563)
+++ /pjproject/trunk/pjproject.dsw	(revision 2564)
@@ -4,5 +4,5 @@
 ###############################################################################
 
-Project: "libg7221"=.\third_party\build\g7221\libg7221.dsp - Package Owner=<4>
+Project: "libg7221codec"=.\third_party\build\g7221\libg7221.dsp - Package Owner=<4>
 
 Package=<5>
@@ -249,4 +249,7 @@
     Project_Dep_Name pjmedia_audiodev
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name libg7221codec
+    End Project Dependency
 }}}
 
@@ -384,4 +387,7 @@
     Project_Dep_Name libg7221
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name libg7221codec
+    End Project Dependency
 }}}
 
@@ -555,4 +561,7 @@
     Project_Dep_Name pjmedia_audiodev
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name libg7221codec
+    End Project Dependency
 }}}
 
Index: /pjproject/trunk/third_party/build/g7221/libg7221.dsp
===================================================================
--- /pjproject/trunk/third_party/build/g7221/libg7221.dsp	(revision 2563)
+++ /pjproject/trunk/third_party/build/g7221/libg7221.dsp	(revision 2564)
@@ -1,3 +1,3 @@
-# Microsoft Developer Studio Project File - Name="libg7221" - Package Owner=<4>
+# Microsoft Developer Studio Project File - Name="libg7221codec" - Package Owner=<4>
 # Microsoft Developer Studio Generated Build File, Format Version 6.00
 # ** DO NOT EDIT **
@@ -5,19 +5,19 @@
 # TARGTYPE "Win32 (x86) Static Library" 0x0104
 
-CFG=libg7221 - Win32 Debug
+CFG=libg7221codec - Win32 Debug
 !MESSAGE This is not a valid makefile. To build this project using NMAKE,
 !MESSAGE use the Export Makefile command and run
 !MESSAGE 
-!MESSAGE NMAKE /f "libg7221.mak".
+!MESSAGE NMAKE /f "libg7221codec.mak".
 !MESSAGE 
 !MESSAGE You can specify a configuration when running NMAKE
 !MESSAGE by defining the macro CFG on the command line. For example:
 !MESSAGE 
-!MESSAGE NMAKE /f "libg7221.mak" CFG="libg7221 - Win32 Debug"
+!MESSAGE NMAKE /f "libg7221codec.mak" CFG="libg7221codec - Win32 Debug"
 !MESSAGE 
 !MESSAGE Possible choices for configuration are:
 !MESSAGE 
-!MESSAGE "libg7221 - Win32 Release" (based on "Win32 (x86) Static Library")
-!MESSAGE "libg7221 - Win32 Debug" (based on "Win32 (x86) Static Library")
+!MESSAGE "libg7221codec - Win32 Release" (based on "Win32 (x86) Static Library")
+!MESSAGE "libg7221codec - Win32 Debug" (based on "Win32 (x86) Static Library")
 !MESSAGE 
 
@@ -29,5 +29,5 @@
 RSC=rc.exe
 
-!IF  "$(CFG)" == "libg7221 - Win32 Release"
+!IF  "$(CFG)" == "libg7221codec - Win32 Release"
 
 # PROP BASE Use_MFC 0
@@ -38,10 +38,10 @@
 # PROP Use_MFC 0
 # PROP Use_Debug_Libraries 0
-# PROP Output_Dir "output\libg7221-i386-win32-vc6-release"
-# PROP Intermediate_Dir "output\libg7221-i386-win32-vc6-release"
+# PROP Output_Dir "output\libg7221codec-i386-win32-vc6-release"
+# PROP Intermediate_Dir "output\libg7221codec-i386-win32-vc6-release"
 # PROP Target_Dir ""
 F90=df.exe
 # ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
-# ADD CPP /nologo /W3 /GX /O2 /I "../.." /I "../../g7221/common" /I "../../g7221/common/stl-files" /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
+# ADD CPP /nologo /MT /W3 /GX /O2 /I "../.." /I "../../g7221/common" /I "../../g7221/common/stl-files" /D "WIN32" /D "NDEBUG" /D "_MBCS" /D "_LIB" /YX /FD /c
 # ADD BASE RSC /l 0x409 /d "NDEBUG"
 # ADD RSC /l 0x409 /d "NDEBUG"
@@ -51,7 +51,7 @@
 LIB32=link.exe -lib
 # ADD BASE LIB32 /nologo
-# ADD LIB32 /nologo /out:"..\..\lib\libg7221-i386-win32-vc6-release.lib"
+# ADD LIB32 /nologo /out:"..\..\lib\libg7221codec-i386-win32-vc6-release.lib"
 
-!ELSEIF  "$(CFG)" == "libg7221 - Win32 Debug"
+!ELSEIF  "$(CFG)" == "libg7221codec - Win32 Debug"
 
 # PROP BASE Use_MFC 0
@@ -62,10 +62,10 @@
 # PROP Use_MFC 0
 # PROP Use_Debug_Libraries 1
-# PROP Output_Dir "output\libg7221-i386-win32-vc6-debug"
-# PROP Intermediate_Dir "output\libg7221-i386-win32-vc6-debug"
+# PROP Output_Dir "output\libg7221codec-i386-win32-vc6-debug"
+# PROP Intermediate_Dir "output\libg7221codec-i386-win32-vc6-debug"
 # PROP Target_Dir ""
 F90=df.exe
 # ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
-# ADD CPP /nologo /W3 /Gm /GX /ZI /Od /I "../.." /I "../../g7221/common" /I "../../g7221/common/stl-files" /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
+# ADD CPP /nologo /MTd /W3 /Gm /GX /ZI /Od /I "../.." /I "../../g7221/common" /I "../../g7221/common/stl-files" /D "WIN32" /D "_DEBUG" /D "_MBCS" /D "_LIB" /YX /FD /GZ /c
 # ADD BASE RSC /l 0x409 /d "_DEBUG"
 # ADD RSC /l 0x409 /d "_DEBUG"
@@ -75,5 +75,5 @@
 LIB32=link.exe -lib
 # ADD BASE LIB32 /nologo
-# ADD LIB32 /nologo /out:"..\..\lib\libg7221-i386-win32-vc6-debug.lib"
+# ADD LIB32 /nologo /out:"..\..\lib\libg7221codec-i386-win32-vc6-debug.lib"
 
 !ENDIF 
@@ -81,6 +81,6 @@
 # Begin Target
 
-# Name "libg7221 - Win32 Release"
-# Name "libg7221 - Win32 Debug"
+# Name "libg7221codec - Win32 Release"
+# Name "libg7221codec - Win32 Debug"
 # Begin Group "Source Files"
 