Index: pjproject/branches/projects/vs-reorg/pjproject-vs8.sln
===================================================================
--- pjproject/branches/projects/vs-reorg/pjproject-vs8.sln	(revision 2588)
+++ pjproject/branches/projects/vs-reorg/pjproject-vs8.sln	(revision 2595)
@@ -189,4 +189,10 @@
 		{4BF51C21-5A30-423B-82FE-1ED410E5769D} = {4BF51C21-5A30-423B-82FE-1ED410E5769D}
 		{2BB84911-C1B4-4747-B93D-36AA82CC5031} = {2BB84911-C1B4-4747-B93D-36AA82CC5031}
+	EndProjectSection
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution Items", "{1DFF1CF3-DBD7-4DA4-A36D-663D695EB678}"
+	ProjectSection(SolutionItems) = preProject
+		build\vs\pjproject-vs8-common-defaults.vsprops = build\vs\pjproject-vs8-common-defaults.vsprops
+		build\vs\pjproject-vs8-debug-defaults.vsprops = build\vs\pjproject-vs8-debug-defaults.vsprops
 	EndProjectSection
 EndProject
@@ -2319,27 +2325,26 @@
 		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).Build.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug|Windows Mobile 6 Standard SDK (ARMV4I).Deploy.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Mixed Platforms.ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Mixed Platforms.Build.0 = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Mixed Platforms.Deploy.0 = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|STANDARDSDK_500 (ARMV4I).ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|STANDARDSDK_500 (x86).ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Win32.ActiveCfg = Debug-Dynamic|Win32
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Win32.Build.0 = Debug-Dynamic|Win32
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Windows Mobile 5.0 Pocket PC SDK 2 (ARMV4I).ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Mixed Platforms.ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Mixed Platforms.Build.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Mixed Platforms.Deploy.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|STANDARDSDK_500 (ARMV4I).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|STANDARDSDK_500 (x86).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Win32.ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Windows Mobile 5.0 Pocket PC SDK 2 (ARMV4I).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug|Win32
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Mixed Platforms.ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Mixed Platforms.Build.0 = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Mixed Platforms.Deploy.0 = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Smartphone 2003 (ARMV4).ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|STANDARDSDK_500 (ARMV4I).ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|STANDARDSDK_500 (x86).ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Mixed Platforms.ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Mixed Platforms.Build.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Mixed Platforms.Deploy.0 = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Smartphone 2003 (ARMV4).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|STANDARDSDK_500 (ARMV4I).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|STANDARDSDK_500 (x86).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Win32.ActiveCfg = Debug|Win32
 		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Win32.Build.0 = Debug|Win32
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Windows Mobile 5.0 Pocket PC SDK 2 (ARMV4I).ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Windows Mobile 5.0 Pocket PC SDK 2 (ARMV4I).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Debug|Windows Mobile 6 Standard SDK (ARMV4I)
 		{2A3F241E-682C-47E1-9543-DC28708B406A}.Debug-Static|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Debug|Win32
 		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release|Mixed Platforms.ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
@@ -2355,27 +2360,25 @@
 		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release|Win32
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Mixed Platforms.ActiveCfg = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Mixed Platforms.Build.0 = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Mixed Platforms.Deploy.0 = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|STANDARDSDK_500 (ARMV4I).ActiveCfg = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|STANDARDSDK_500 (x86).ActiveCfg = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Win32.ActiveCfg = Release-Dynamic|Win32
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Win32.Build.0 = Release-Dynamic|Win32
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Windows Mobile 5.0 Pocket PC SDK 2 (ARMV4I).ActiveCfg = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Mixed Platforms.ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Mixed Platforms.Build.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Mixed Platforms.Deploy.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Smartphone 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|STANDARDSDK_500 (ARMV4I).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|STANDARDSDK_500 (x86).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Win32.ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Windows Mobile 5.0 Pocket PC SDK 2 (ARMV4I).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Dynamic|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release|Win32
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Mixed Platforms.ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Mixed Platforms.Build.0 = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Mixed Platforms.Deploy.0 = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Smartphone 2003 (ARMV4).ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|STANDARDSDK_500 (ARMV4I).ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|STANDARDSDK_500 (x86).ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Win32.ActiveCfg = Release-Static|Win32
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Win32.Build.0 = Release-Static|Win32
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Windows Mobile 5.0 Pocket PC SDK 2 (ARMV4I).ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
-		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Release-Static|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Mixed Platforms.ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Mixed Platforms.Build.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Mixed Platforms.Deploy.0 = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Pocket PC 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Smartphone 2003 (ARMV4).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|STANDARDSDK_500 (ARMV4I).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|STANDARDSDK_500 (x86).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Win32.ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Windows Mobile 5.0 Pocket PC SDK 2 (ARMV4I).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
+		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Windows Mobile 6 Professional SDK (ARMV4I).ActiveCfg = Release|Windows Mobile 6 Standard SDK (ARMV4I)
 		{2A3F241E-682C-47E1-9543-DC28708B406A}.Release-Static|Windows Mobile 6 Standard SDK (ARMV4I).ActiveCfg = Release|Win32
 		{B7E325B1-FBA8-419D-8379-398138845999}.Debug|Mixed Platforms.ActiveCfg = Debug|Windows Mobile 5.0 Pocket PC SDK 2 (ARMV4I)