Index: /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-common-defaults.vsprops
===================================================================
--- /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-common-defaults.vsprops	(revision 2598)
+++ /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-common-defaults.vsprops	(revision 2598)
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="pjproject-vs8-common-defaults"
+	OutputDirectory=".\output\$(ProjectName)-i386-$(PlatformName)-vs$(VSVer)-$(ConfigurationName)"
+	IntermediateDirectory="$(OutDir)"
+	>
+</VisualStudioPropertySheet>
Index: /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-debug-defaults.vsprops
===================================================================
--- /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-debug-defaults.vsprops	(revision 2598)
+++ /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-debug-defaults.vsprops	(revision 2598)
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="pjproject-vs8-debug-defaults"
+	DeleteExtensionsOnClean=""
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		Optimization="0"
+		AdditionalIncludeDirectories="../../pjlib/include,../../pjlib-util/include,../../pjmedia/include,../../pjnath/include,../../pjsip/include"
+		PreprocessorDefinitions="PJ_WIN32=1,PJ_M_I386=1"
+		BrowseInformation="1"
+		BrowseInformationFile="$(IntDir)\"
+		WarningLevel="4"
+		DebugInformationFormat="4"
+		CompileAs="0"
+	/>
+	<Tool
+		Name="VCLibrarianTool"
+		OutputFile="../lib/pjlib-util-i386-$(PlatformName)-vc$(VSVer)-$(ConfigurationName).lib"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="Iphlpapi.lib dsound.lib dxguid.lib netapi32.lib mswsock.lib ws2_32.lib odbc32.lib odbccp32.lib ole32.lib user32.lib gdi32.lib advapi32.lib"
+		OutputFile="..\bin\$(ProjectName)_vc$(VSVer).exe"
+		GenerateManifest="false"
+		GenerateDebugInformation="true"
+		GenerateMapFile="true"
+	/>
+	<UserMacro
+		Name="VSVer"
+		Value="8"
+	/>
+</VisualStudioPropertySheet>
Index: /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-release-defaults.vsprops
===================================================================
--- /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-release-defaults.vsprops	(revision 2598)
+++ /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-release-defaults.vsprops	(revision 2598)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<VisualStudioPropertySheet 
+	ProjectType="Visual C++" 
+	Version="8.00" 
+	Name="pjproject-vs8-release-defaults"
+	>
+</VisualStudioPropertySheet>
Index: /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-win32-common-defaults.vsprops
===================================================================
--- /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-win32-common-defaults.vsprops	(revision 2598)
+++ /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-win32-common-defaults.vsprops	(revision 2598)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<VisualStudioPropertySheet 
+	ProjectType="Visual C++" 
+	Version="8.00" 
+	Name="pjproject-vs8-win32-common-defaults"
+	>
+</VisualStudioPropertySheet>
Index: /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-win32-release-defaults.vsprops
===================================================================
--- /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-win32-release-defaults.vsprops	(revision 2598)
+++ /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-win32-release-defaults.vsprops	(revision 2598)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<VisualStudioPropertySheet 
+	ProjectType="Visual C++" 
+	Version="8.00" 
+	Name="pjproject-vs8-win32-release-defaults"
+	>
+</VisualStudioPropertySheet>
Index: /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-wm6-common-defaults.vsprops
===================================================================
--- /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-wm6-common-defaults.vsprops	(revision 2598)
+++ /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-wm6-common-defaults.vsprops	(revision 2598)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<VisualStudioPropertySheet 
+	ProjectType="Visual C++" 
+	Version="8.00" 
+	Name="pjproject-vs8-wm6-common-defaults"
+	>
+</VisualStudioPropertySheet>
Index: /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-wm6-release-defaults.vsprops
===================================================================
--- /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-wm6-release-defaults.vsprops	(revision 2598)
+++ /pjproject/branches/projects/vs-reorg/build/vs/pjproject-vs8-wm6-release-defaults.vsprops	(revision 2598)
@@ -0,0 +1,7 @@
+<?xml version="1.0"?>
+<VisualStudioPropertySheet 
+	ProjectType="Visual C++" 
+	Version="8.00" 
+	Name="pjproject-vs8-wm6-release-defaults"
+	>
+</VisualStudioPropertySheet>